Page MenuHomePhabricator

If user only has foreign messages, the messages badge should not be suppressed
Closed, ResolvedPublic

Description

  1. Go to wiki A where you have no messages (or create a new account)
  2. The messages badge is not shown; this is expected
  3. Cause yourself to have a message (e.g. user talk edit) on wiki B
  4. The messages badge should be shown on wiki A, but isn't
  5. Cause yourself to have a message on wiki A
  6. The messages badge is now shown on A, and shows both the local message (from A) and the foreign message (from B)

In step 4, the messages badge should have been shown already. It appears to be hidden because there are no messages, without taking foreign messages into account.

Event Timeline

Catrope created this task.Jan 21 2016, 11:38 PM
Catrope updated the task description. (Show Details)
Catrope raised the priority of this task from to High.
Catrope added subscribers: Catrope, Mooeypoo.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2016, 11:38 PM

Change 266235 had a related patch set uploaded (by Matthias Mullie):
If user only has foreign messages, the messages badge should not be suppressed

https://gerrit.wikimedia.org/r/266235

Change 266235 merged by jenkins-bot:
If user only has foreign messages, the messages badge should not be suppressed

https://gerrit.wikimedia.org/r/266235

  1. The messages badge is not shown; this is expected

All users(existing and new ones) have their Notification (Alerts) displayed.

  1. The messages badge should be shown on wiki A, but isn't. In step 4, the messages badge should have been shown already. It appears to be hidden because there are no messages, without taking foreign messages into account.

Has 'Enhanced notifications' been turned on for the user in both A and B wikis?

Does not seem to be fixed:

Example - 'Enhanced notifications' enabled in both in A and B wikis

wiki A (with no notifications)wiki B triggers notification 1wiki A still does not display anything

wiki A triggers notification 1wiki B displays wiki A notifications 1wiki A displays only its local notification 1

wiki B triggers notification 2wiki A displays wiki A notification 1 and wiki B notification 2

Does not seem to be fixed:

Example - 'Enhanced notifications' enabled in both in A and B wikis

wiki A (with no notifications)wiki B triggers notification 1wiki A still does not display anything

wiki A triggers notification 1wiki B displays wiki A notifications 1wiki A displays only its local notification 1

wiki B triggers notification 2wiki A displays wiki A notification 1 and wiki B notification 2

The fix for this hasn't reached beta yet because of T126573: Beta Cluster updates broken due to php incompatibilities. The last successful update was last night at 23:07 PST, and the fix merged this afternoon at 13:02 PST.

This comment was removed by Catrope.
Etonkovidova added a comment.EditedFeb 12 2016, 12:46 AM

Checked in betalabs - it's fixed.

If a user with Enhanced notifications enabled has only foreign notifications, they will be displayed in Messages flyout without any additional actions, i.e. receiving local messages.

Change 271698 had a related patch set uploaded (by Catrope):
If user only has foreign messages, the messages badge should not be suppressed

https://gerrit.wikimedia.org/r/271698

Change 271698 merged by jenkins-bot:
If user only has foreign messages, the messages badge should not be suppressed

https://gerrit.wikimedia.org/r/271698

This isn't working for me in production :( I'll do more rigorous testing tomorrow, the messages badge isn't appearing for User:Catrope-sock on testwiki even though I have a message notification on enwiktionary.

Change 271779 had a related patch set uploaded (by Matthias Mullie):
Fix hasMessages result when inconsistently enabling cross-wiki

https://gerrit.wikimedia.org/r/271779

Change 271779 merged by jenkins-bot:
Fix hasMessages result when inconsistently enabling cross-wiki

https://gerrit.wikimedia.org/r/271779

Re-checked in betalabs - works as before without hiccups.

Also, I tried to enable/disable 'Enhanced notifications' - the messages were fetched retroactively.

Change 272686 had a related patch set uploaded (by Legoktm):
Always show the messages flyout icon

https://gerrit.wikimedia.org/r/272686

Change 272686 merged by jenkins-bot:
Always show the messages flyout icon

https://gerrit.wikimedia.org/r/272686

Legoktm closed this task as Resolved.Feb 23 2016, 9:15 PM
Legoktm added a subscriber: Legoktm.

The messages badge is now always displayed.